
From: Paul Mackerras <paulus@samba.org>

This patch lets us use TIOCMIWAIT and TIOCGICOUNT from a 32-bit process on
a 64-bit processor.  TIOCMIWAIT uses the argument as a bitmap of things to
wait for.  The argument for TIOCGICOUNT points to a struct
serial_icounter_struct, which only contains ints and arrays of int.

Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/compat_ioctl.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/linux/compat_ioctl.h~ioctl-compatibility-for-tiocmiwait-and-tiocgicount include/linux/compat_ioctl.h
--- 25/include/linux/compat_ioctl.h~ioctl-compatibility-for-tiocmiwait-and-tiocgicount	2005-01-16 23:25:43.347304616 -0800
+++ 25-akpm/include/linux/compat_ioctl.h	2005-01-16 23:25:43.351304008 -0800
@@ -25,6 +25,8 @@ COMPATIBLE_IOCTL(TCSETSF)
 COMPATIBLE_IOCTL(TIOCLINUX)
 COMPATIBLE_IOCTL(TIOCSBRK)
 COMPATIBLE_IOCTL(TIOCCBRK)
+ULONG_IOCTL(TIOCMIWAIT)
+COMPATIBLE_IOCTL(TIOCGICOUNT)
 /* Little t */
 COMPATIBLE_IOCTL(TIOCGETD)
 COMPATIBLE_IOCTL(TIOCSETD)
_
